"use server"
import prisma from "@/lib/db";


export async function createUserOnOrganisation(userId : string ,organisationId : string, roleId : string){
    try{
         const userOrg = await prisma.userOnOrganisation.create({
                data: {
                    userId,
                    organisationId,
                    roleId
                },
            });
        if(!userOrg){
            return({success : false})
        }
        return({success : true, userOrg : userOrg})
    }catch(error){
        return{success : false, error : error instanceof Error ? error.message : 'An unknown error occured'}
    }

}